<?php
session_start();
include_once('../../config/#Config.php');
if(!$_SESSION['UserName']){
die('<script>window.location.href=\''.$config['site']['url'].'index.php\';</script>');
}
$get_AD = mysqli_query($conn, "Select * From config_admin WHERE Account = '".$_SESSION['UserName']."'");
if(!mysqli_num_rows($get_AD)){
	die('Không đủ quyền.');
}
if(!$_POST['idevent']&&!$_POST['item_text']){
		$return['type'] = 1;
		$return['text'] = 'Vui lòng nhập đầu đủ yêu cầu.';
} else {
	if(getnameText($_POST['item_text']) == "..."){
		$return['type'] = 1;
		$return['text'] = 'Loại gửi này không tồn tại..';		
} else {
	if(!is_numeric($_POST['countb']) or $_POST['countb'] <= 0 or $_POST['countb'] > 999000000){
		$return['type'] = 1;
		$return['text'] = 'Số lượng phải từ 1 đến 99,000,000';		
	} else {
	$getinfo = mysqli_query($conn, "Select * from giftcode WHERE IDEvent = '".$_POST['idevent']."'");
	if(mysqli_num_rows($getinfo)){
			mysqli_query($conn, "INSERT INTO giftcode_item (IDEvent,Item_Text,Count_B) VALUES ('".$_POST['idevent']."','".$_POST['item_text']."','".$_POST['countb']."')");
		$return['type'] = 0;
		$return['text'] = 'Thêm vật phẩm thành công.';				
	} else {
		$return['type'] = 1;
		$return['text'] = 'Event này không tồn tại.';		
	}
}
}
}
		echo json_encode($return);
		exit();